Bug 6877 - citation_authors modifications
citation_authors modifications
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: User Interface
2.3.7
All All
: P3 normal
Assigned To: James MacGregor
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-07 20:57 PDT by James MacGregor
Modified: 2011-11-23 18:11 PST (History)
1 user (show)

See Also:
Version Reported In:
Also Affects: OJS 2.3.x


Attachments
Patch against OCS 2.3.3-1 (1.34 KB, patch)
2011-09-09 16:49 PDT, James MacGregor
Details | Diff
Patch against OCS 2.3.3-1 (1.36 KB, patch)
2011-09-09 17:04 PDT, James MacGregor
Details | Diff
Patch against OJS 2.3.6 (1.28 KB, patch)
2011-11-23 16:07 PST, James MacGregor
Details | Diff
Patch against OJS 2.3.6 (1.28 KB, patch)
2011-11-23 18:08 PST, James MacGregor
Details | Diff
Patch against OCS 2.3.3-1 (1.36 KB, patch)
2011-11-23 18:10 PST, James MacGregor
Details | Diff
Patch against OCS 2.3.4 (806 bytes, patch)
2011-11-23 18:11 PST, James MacGregor
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James MacGregor 2011-09-07 20:57:37 PDT
From Anurag: authors should be listed separately in the GS article metadata, similarly to how they are listed in the DC metadata; and they should follow a "firstname lastname" convention rather than a "lastname, firstname" convention. Eg., rather than 

<meta name="citation_authors" content="lastname1, firstname1; lastname2, firstname2"/>

... you would have

<meta name="citation_author" content="firstname1 lastname1"/>
<meta name="citation_author" content="firstname2 lastname2"/>

Just waiting for clarification regarding how/whether to use author salutations and affiliations.

(This also applies to OJS.)
Comment 1 James MacGregor 2011-09-08 20:27:06 PDT
Salutations should *not* be included. 

Author affiliations can be added in a separate citation_author_affiliation line, as can author emails (citation_author_email). Eg: 

<meta name="citation_author" content="Nazumi Alice Yamada">
<meta name="citation_author_institution" content="Lawrence Livermore
National Laboratory, Livermore, CA 94551">
(Multiple institutions for an author are ok. Affiliations and email
for an author must follow immediately after the author).

<meta name="citation_author" content="John M. Hinz">
<meta name="citation_author_institution" content="School of Molecular
Biosciences, Washington State University, Pullman, Washington">
<meta name="citation_author_email" content="jmhinz@wsu.edu">

<meta name="citation_author" content="Larry H. Thompson">
<meta name="citation_author_institution" content="Lawrence Livermore
National Laboratory, Livermore, CA 94551">
<meta name="citation_author_email" content="thompson14@llnl.gov">

<meta name="citation_title" content="XRCC3 ATPase Activity Is Required
for Normal XRCC3-Rad51C Complex Dynamics and Homologous
Recombination">
Comment 2 James MacGregor 2011-09-09 16:49:20 PDT
Created attachment 3635 [details]
Patch against OCS 2.3.3-1
Comment 3 James MacGregor 2011-09-09 16:50:01 PDT
separating and refining citation_author information for Google Scholar
https://github.com/pkp/ocs/commit/3768ff54e7fb2d0c1e3d55b2125439e39b7d9a93
Comment 4 James MacGregor 2011-09-09 16:50:01 PDT
separating and refining citation_author information for Google Scholar
https://github.com/pkp/ocs/commit/961e2548260412d44c32e93762a436eb73ed9223
Comment 5 James MacGregor 2011-09-09 17:04:59 PDT
Created attachment 3636 [details]
Patch against OCS 2.3.3-1

This patch includes an additional strip_tags parameter to remove HTML tags from the outputted affiliation.
Comment 6 James MacGregor 2011-09-09 17:05:01 PDT
separating and refining citation_author information for Google Scholar
https://github.com/pkp/ocs/commit/c055f14b6ac65279ea63abca60aeb74bdc7b2917
Comment 7 James MacGregor 2011-09-09 17:05:02 PDT
separating and refining citation_author information for Google Scholar
https://github.com/pkp/ocs/commit/c76a0a800838bf4dcc05c8ce4875670f54b565cd
Comment 8 James MacGregor 2011-09-09 17:07:36 PDT
OK, this has been committed to OCS stable and master. The citation_author_email option will have to wait until Bug 6881 has been resolved. I'm moving this over to OJS for the time being.
Comment 9 James MacGregor 2011-11-23 16:05:02 PST
separating and refining citation_author information for Google Scholar
https://github.com/pkp/ojs/commit/4f771677091f7e26fb5164b68f46db41cc2ccce3
Comment 10 James MacGregor 2011-11-23 16:07:48 PST
Created attachment 3680 [details]
Patch against OJS 2.3.6
Comment 11 James MacGregor 2011-11-23 16:09:55 PST
Committed the separate author and affiliation listing fixes against OJS stable and master. Closing now; will create a new bug report for the citation_author_email business.
Comment 12 James MacGregor 2011-11-23 16:10:02 PST
separating and refining citation_author information for Google Scholar
https://github.com/pkp/ojs/commit/0c2ab7e21bd2cf08d615111d9fe4cbf1ff5845e4
Comment 13 James MacGregor 2011-11-23 16:40:45 PST
Argh, that should be citation_author_institution, *not* citation_author_affiliation. Reopening; both OCS and OJS need fixing.
Comment 14 James MacGregor 2011-11-23 18:05:02 PST
separating and refining citation_author information for Google Scholar
https://github.com/pkp/ojs/commit/3d964d0d7bba6b4b484223d412d2c03c20ce729d
Comment 15 James MacGregor 2011-11-23 18:05:02 PST
separating and refining citation_author information for Google Scholar
https://github.com/pkp/ojs/commit/afc2e38ad97465e19fb581f7f34b6ebf447056cc
Comment 16 James MacGregor 2011-11-23 18:05:02 PST
separating and refining citation_author information for Google Scholar
https://github.com/pkp/ocs/commit/3b1eca27fc3605d4a6c25910e2a6bd1fc25bb755
Comment 17 James MacGregor 2011-11-23 18:05:03 PST
separating and refining citation_author information for Google Scholar
https://github.com/pkp/ocs/commit/52d372f84310b60db1ff3ef4a86646d43e87d6ad
Comment 18 James MacGregor 2011-11-23 18:08:33 PST
Created attachment 3681 [details]
Patch against OJS 2.3.6
Comment 19 James MacGregor 2011-11-23 18:10:06 PST
Created attachment 3682 [details]
Patch against OCS 2.3.3-1
Comment 20 James MacGregor 2011-11-23 18:11:35 PST
Created attachment 3683 [details]
Patch against OCS 2.3.4